Bug 1856037 - coredumpctl in systemd-246~rc1-1.fc33 didn't show traces or core files when they are zstd compressed sometimes
Summary: coredumpctl in systemd-246~rc1-1.fc33 didn't show traces or core files when t...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-12 01:17 UTC by Matt Fagnani
Modified: 2020-07-25 19:20 UTC (History)
6 users (show)

Fixed In Version: systemd-246~rc2-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-24 08:15:55 UTC
Type: Bug


Attachments (Terms of Use)
journalctl output for boot with KDE program aborts when logging of Plasma on Wayland (664.00 KB, text/plain)
2020-07-13 17:16 UTC, Matt Fagnani
no flags Details
journalctl -o verbose MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1 -n3 (268.61 KB, text/plain)
2020-07-17 12:04 UTC, Matt Fagnani
no flags Details

Description Matt Fagnani 2020-07-12 01:17:36 UTC
Description of problem:

coredumpctl in systemd-246~rc1-1.fc33 didn't show traces or core files when they are zstd compressed for certain commands. Running coredumpctl showed none in the COREFILE column for all the core dumps created after I updated to systemd-246~rc1-1.fc33. When I've run coredumpctl info on any of those core dumps made after I updated to systemd-246~rc1-1.fc33, the traces weren't shown and Storage: none where usually the core dump file path would be shown.

The core dumps created with systemd-246~rc1-1 were zstd compressed, and they were in /var/lib/systemd/coredump as usual. When I've run coredumpctl gdb on core dumps created with systemd-246~rc1-1, the traces and core dump file path were shown. An example core dump file path from coredumpctl gdb is Storage: /var/lib/systemd/coredump/core.kded5.1000.9557045b40b148488ec0ee578a51986c.19769.1594507424000000000000.zst 

Version-Release number of selected component (if applicable):
systemd-246~rc1-1.fc33.x86_64

How reproducible:
coredumpctl showed none in the COREFILE column for all of 123 core dumps that have happened after updating to systemd-246~rc1-1.fc33. coredumpctl info didn't show the trace or core file for each of many those I've checked. 

Steps to Reproduce:
1. Boot a Fedora Rawhide KDE Plasma spin installation updated to 2020-7-11 with 
systemd-246~rc1-1.fc33.x86_64, kwin-wayland, plasma-workspace-wayland and their dependencies installed
2. Log in to Plasma 5.19.3 on Wayland from sddm
3. Log out of Plasma. Several KDE programs aborted with errors that the Wayland connection broke each time I've done this.
4. Log in to Plasma
5. start konsole
6. coredumpctl (in konsole)
7. coredumpctl info

Actual results:
coredumpctl in systemd-246~rc1-1.fc33 didn't show traces or core files when they are zstd compressed sometimes.

Expected results:
coredumpctl would show the traces and core files normally.

Additional info:

The changelog for systemd-246~rc1 noted "coredumps collected by systemd-coredump may now be compressed using the zstd algorithm." at https://raw.githubusercontent.com/systemd/systemd/v246-rc1/NEWS

Comment 1 Zbigniew Jędrzejewski-Szmek 2020-07-13 16:06:32 UTC
I don't think this is related to zstd. Backtrace generation happens before compression
(the tools used to generate the backtrace need access to the uncompressed image), so
if the backtrace is missing in the logs, then most likely something went wrong earlier
than the compression step.

The most likely reason would be that there is not enough free space to do the coredump.
Is there useful in the logs from around when the coredump happens?

Comment 2 Matt Fagnani 2020-07-13 17:16:47 UTC
Created attachment 1700873 [details]
journalctl output for boot with KDE program aborts when logging of Plasma on Wayland

Zbigniew, journalctl and coredumpctl gdb showed the traces properly. coredumpctl and coredumpctl info didn't show the traces or the coredump file. abrt-server errors indicating that the core dump wasn't a valid ELF file were shown which I hadn't seen before for each abort.

Jul 13 11:54:00 abrt-server[7256]: Error: File './coredump' is not a coredump
Jul 13 11:54:00 abrt-server[7256]: eu-readelf: failed reading 'coredump': not a valid ELF file
Jul 13 11:54:01 abrt-server[7256]: Error while running gdb:
Jul 13 11:54:01 abrt-server[7256]: /usr/libexec/gdb: warning: Couldn't determine a path for the index cache directory.
Jul 13 11:54:01 abrt-server[7256]: "/var/spool/abrt/ccpp-2020-07-13-11:53:55.832972-1127/./coredump" is not a core dump: file format not recognized
Jul 13 11:54:01 abrt-server[7256]: Python Exception <class 'ValueError'> invalid literal for int() with base 10: '':
Jul 13 11:54:01 abrt-server[7256]: Error occurred in Python: invalid literal for int() with base 10: ''
Jul 13 11:54:01 abrt-server[7256]: eu-unstrip: cannot read ELF core file: not a valid ELF file
Jul 13 11:54:01 abrt-server[7256]: Can't open file 'core_backtrace' for reading: No such file or directory
Jul 13 11:54:03 abrt-server[7256]: Deleting problem directory ccpp-2020-07-13-11:53:55.832972-1127 (dup of ccpp-2020-07-10-05:13:54.484968-1137)
Jul 13 11:54:04 abrt-notification[7330]: Process 1137 (kwalletd5) crashed in ??()
 
I'm attaching the journalctl -b --no-hostname output in which KDE programs aborted when logging out of Plasma on Wayland. coredumpctl showed that the COREFILE column was none for all of those crashes as follows.

Mon 2020-07-13 11:53:54 EDT    1127  1000  1000   6 none      /usr/bin/kwalletd5
Mon 2020-07-13 11:53:54 EDT    7038  1000  1000   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 11:53:55 EDT    7039  1000  1000   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 11:53:56 EDT    7064  1000  1000   6 none      /usr/bin/kded5
Mon 2020-07-13 11:53:56 EDT    7034  1000  1000   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 11:53:56 EDT    1627  1000  1000   6 none      /usr/bin/akonadi_contacts_resource
Mon 2020-07-13 11:53:56 EDT    1626  1000  1000   6 none      /usr/bin/akonadi_birthdays_resource
Mon 2020-07-13 11:53:57 EDT    7067  1000  1000   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 11:53:58 EDT    1640  1000  1000   6 none      /usr/bin/akonadi_migration_agent
Mon 2020-07-13 12:29:32 EDT   10968  1001  1001   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 12:29:33 EDT    7406  1001  1001   6 none      /usr/bin/kwalletd5
Mon 2020-07-13 12:29:33 EDT   10975  1001  1001   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 12:29:33 EDT   10970  1001  1001   6 none      /usr/libexec/drkonqi
Mon 2020-07-13 12:29:34 EDT    8094  1001  1001   6 none      /usr/bin/akonadi_contacts_resource
Mon 2020-07-13 12:29:34 EDT   11008  1001  1001   6 none      /usr/bin/kded5
Mon 2020-07-13 12:29:34 EDT    8092  1001  1001   6 none      /usr/bin/akonadi_birthdays_resource
Mon 2020-07-13 12:29:34 EDT    8115  1001  1001   6 none      /usr/bin/akonadi_migration_agent

coredumpctl info 1127 on the first core file showed Storage: none and no trace was there. coredumpctl gdb 1127 on the same showed the core file path and trace and loaded gdb normally.
Storage: /var/lib/systemd/coredump/core.kwalletd5.1000.b814256ffd5a4955a2ba6a918dbaa4f8.1127.1594654911000000000000.zst
       Message: Process 1127 (kwalletd5) of user 1000 dumped core.
                
                Stack trace of thread 1127:
                #0  0x00007f61166d1b95 __GI_raise (libc.so.6 + 0x3db95)
...

My / directory has 3.7 GB free. The *.zst core files are <= 1.1 MB. There's no indication of running out of space on my system.

Comment 3 Zbigniew Jędrzejewski-Szmek 2020-07-17 10:13:25 UTC
Hmm, I don't see this (though I'm not running in the same environment).
Could you show the following:
1. journalctl -o verbose -b MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1 -n3
2. ls -l /var/lib/systemd/coredump/

Comment 4 Matt Fagnani 2020-07-17 12:04:37 UTC
Created attachment 1701549 [details]
journalctl -o verbose MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1 -n3

Zbigniew, journalctl -o verbose -b MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1 -n3-- Logs begin at Sat 2020-06-20 15:24:25 EDT, end at Fri 2020-07-17 07:50:04 EDT. --
-- No entries --
I think since I've rebooted many times since my last message.
I'm attaching the output of journalctl -o verbose MESSAGE_ID=fc2e22bc6ee647b6b90729ab34a250b1 -n3 instead which is quite long.

The zst coredumps are all being created and are < 1.3 MB each, ~15 MB uncompressed.

ls -l /var/lib/systemd/coredump/
total 170380
-rw-r-----+ 1 root root 1287103 Jul 15 22:04 core.akonadi_birthda.1000.28938e0e3f5e492f9a76cf484e2410cb.1601.1594865068000000000000.zst
-rw-r-----+ 1 root root 1293467 Jul 16 14:35 core.akonadi_birthda.1000.4039beec18ab489fb55ab73dc682cab5.11452.1594924507000000000000.zst
-rw-r-----+ 1 root root 1292361 Jul 16 16:37 core.akonadi_birthda.1000.4039beec18ab489fb55ab73dc682cab5.16072.1594931841000000000000.zst
-rw-r-----+ 1 root root 1294277 Jul 16 11:06 core.akonadi_birthda.1000.4039beec18ab489fb55ab73dc682cab5.4722.1594911983000000000000.zst
-rw-r-----+ 1 root root 1290681 Jul 15 11:44 core.akonadi_birthda.1000.e586a47763cb4882b3aaa5fa5fc08f19.11121.1594827839000000000000.zst
-rw-r-----+ 1 root root 1296405 Jul 15 07:54 core.akonadi_birthda.1000.e586a47763cb4882b3aaa5fa5fc08f19.1662.1594814076000000000000.zst
-rw-r-----+ 1 root root 1288630 Jul 15 12:55 core.akonadi_birthda.1000.e586a47763cb4882b3aaa5fa5fc08f19.20855.1594832143000000000000.zst
-rw-r-----+ 1 root root 1294244 Jul 15 18:45 core.akonadi_birthda.1000.e586a47763cb4882b3aaa5fa5fc08f19.28561.1594853156000000000000.zst
-rw-r-----+ 1 root root 1290303 Jul 15 08:37 core.akonadi_birthda.1000.e586a47763cb4882b3aaa5fa5fc08f19.5141.1594816627000000000000.zst
-rw-r-----+ 1 root root 1293494 Jul 14 08:25 core.akonadi_birthda.1000.fb7045b24c514814ac1e64edea8b155d.1596.1594729540000000000000.zst
-rw-r-----+ 1 root root 1287160 Jul 14 15:59 core.akonadi_birthda.1000.fb7045b24c514814ac1e64edea8b155d.17169.1594756793000000000000.zst
-rw-r-----+ 1 root root 1288710 Jul 14 18:27 core.akonadi_birthda.1000.fb7045b24c514814ac1e64edea8b155d.21363.1594765627000000000000.zst
-rw-r-----+ 1 root root 1287643 Jul 14 10:14 core.akonadi_birthda.1000.fb7045b24c514814ac1e64edea8b155d.5950.1594736051000000000000.zst
-rw-r-----+ 1 root root 1295230 Jul 16 09:57 core.akonadi_birthda.1001.4039beec18ab489fb55ab73dc682cab5.1634.1594907818000000000000.zst
-rw-r-----+ 1 root root 1292291 Jul 16 21:04 core.akonadi_birthda.1001.4039beec18ab489fb55ab73dc682cab5.21570.1594947848000000000000.zst
-rw-r-----+ 1 root root 1293323 Jul 16 11:52 core.akonadi_birthda.1001.4039beec18ab489fb55ab73dc682cab5.8795.1594914754000000000000.zst
-rw-r-----+ 1 root root 1288415 Jul 15 12:12 core.akonadi_birthda.1001.e586a47763cb4882b3aaa5fa5fc08f19.18305.1594829544000000000000.zst
-rw-r-----+ 1 root root 1290061 Jul 15 18:12 core.akonadi_birthda.1001.e586a47763cb4882b3aaa5fa5fc08f19.24887.1594851169000000000000.zst
-rw-r-----+ 1 root root 1289387 Jul 15 09:03 core.akonadi_birthda.1001.e586a47763cb4882b3aaa5fa5fc08f19.8156.1594818180000000000000.zst
-rw-r-----+ 1 root root 1290011 Jul 14 15:15 core.akonadi_birthda.1001.fb7045b24c514814ac1e64edea8b155d.10838.1594754131000000000000.zst
-rw-r-----+ 1 root root 1287649 Jul 14 19:19 core.akonadi_birthda.1001.fb7045b24c514814ac1e64edea8b155d.26426.1594768744000000000000.zst
-rw-r-----+ 1 root root 1263735 Jul 15 22:04 core.akonadi_contact.1000.28938e0e3f5e492f9a76cf484e2410cb.1602.1594865068000000000000.zst
-rw-r-----+ 1 root root 1265347 Jul 16 14:35 core.akonadi_contact.1000.4039beec18ab489fb55ab73dc682cab5.11454.1594924507000000000000.zst
-rw-r-----+ 1 root root 1264160 Jul 16 16:37 core.akonadi_contact.1000.4039beec18ab489fb55ab73dc682cab5.16074.1594931841000000000000.zst
-rw-r-----+ 1 root root 1263779 Jul 16 11:06 core.akonadi_contact.1000.4039beec18ab489fb55ab73dc682cab5.4723.1594911983000000000000.zst
-rw-r-----+ 1 root root 1263060 Jul 15 11:44 core.akonadi_contact.1000.e586a47763cb4882b3aaa5fa5fc08f19.11122.1594827839000000000000.zst
-rw-r-----+ 1 root root 1262040 Jul 15 07:54 core.akonadi_contact.1000.e586a47763cb4882b3aaa5fa5fc08f19.1663.1594814076000000000000.zst
-rw-r-----+ 1 root root 1261187 Jul 15 12:55 core.akonadi_contact.1000.e586a47763cb4882b3aaa5fa5fc08f19.20856.1594832143000000000000.zst
-rw-r-----+ 1 root root 1261820 Jul 15 18:45 core.akonadi_contact.1000.e586a47763cb4882b3aaa5fa5fc08f19.28562.1594853155000000000000.zst
-rw-r-----+ 1 root root 1262537 Jul 15 08:37 core.akonadi_contact.1000.e586a47763cb4882b3aaa5fa5fc08f19.5142.1594816627000000000000.zst
-rw-r-----+ 1 root root 1265464 Jul 14 08:25 core.akonadi_contact.1000.fb7045b24c514814ac1e64edea8b155d.1597.1594729540000000000000.zst
-rw-r-----+ 1 root root 1259280 Jul 14 15:59 core.akonadi_contact.1000.fb7045b24c514814ac1e64edea8b155d.17170.1594756793000000000000.zst
-rw-r-----+ 1 root root 1260706 Jul 14 18:27 core.akonadi_contact.1000.fb7045b24c514814ac1e64edea8b155d.21364.1594765627000000000000.zst
-rw-r-----+ 1 root root 1263492 Jul 14 10:14 core.akonadi_contact.1000.fb7045b24c514814ac1e64edea8b155d.5951.1594736051000000000000.zst
-rw-r-----+ 1 root root 1271647 Jul 16 09:57 core.akonadi_contact.1001.4039beec18ab489fb55ab73dc682cab5.1635.1594907818000000000000.zst
-rw-r-----+ 1 root root 1268285 Jul 16 21:04 core.akonadi_contact.1001.4039beec18ab489fb55ab73dc682cab5.21571.1594947848000000000000.zst
-rw-r-----+ 1 root root 1264435 Jul 16 11:52 core.akonadi_contact.1001.4039beec18ab489fb55ab73dc682cab5.8796.1594914754000000000000.zst
-rw-r-----+ 1 root root 1266718 Jul 15 12:12 core.akonadi_contact.1001.e586a47763cb4882b3aaa5fa5fc08f19.18306.1594829544000000000000.zst
-rw-r-----+ 1 root root 1259482 Jul 15 18:12 core.akonadi_contact.1001.e586a47763cb4882b3aaa5fa5fc08f19.24888.1594851169000000000000.zst
-rw-r-----+ 1 root root 1261549 Jul 15 09:03 core.akonadi_contact.1001.e586a47763cb4882b3aaa5fa5fc08f19.8157.1594818180000000000000.zst
-rw-r-----+ 1 root root 1258958 Jul 14 15:15 core.akonadi_contact.1001.fb7045b24c514814ac1e64edea8b155d.10839.1594754131000000000000.zst
-rw-r-----+ 1 root root 1262961 Jul 14 19:19 core.akonadi_contact.1001.fb7045b24c514814ac1e64edea8b155d.26427.1594768744000000000000.zst
-rw-r-----+ 1 root root 1265822 Jul 15 22:04 core.akonadi_migrati.1000.28938e0e3f5e492f9a76cf484e2410cb.1611.1594865068000000000000.zst
-rw-r-----+ 1 root root 1265048 Jul 16 14:35 core.akonadi_migrati.1000.4039beec18ab489fb55ab73dc682cab5.11468.1594924507000000000000.zst
-rw-r-----+ 1 root root 1266324 Jul 16 16:37 core.akonadi_migrati.1000.4039beec18ab489fb55ab73dc682cab5.16092.1594931841000000000000.zst
-rw-r-----+ 1 root root 1265185 Jul 16 11:06 core.akonadi_migrati.1000.4039beec18ab489fb55ab73dc682cab5.4735.1594911983000000000000.zst
-rw-r-----+ 1 root root 1262286 Jul 15 11:44 core.akonadi_migrati.1000.e586a47763cb4882b3aaa5fa5fc08f19.11136.1594827839000000000000.zst
-rw-r-----+ 1 root root 1268288 Jul 15 07:54 core.akonadi_migrati.1000.e586a47763cb4882b3aaa5fa5fc08f19.1680.1594814076000000000000.zst
-rw-r-----+ 1 root root 1262733 Jul 15 12:55 core.akonadi_migrati.1000.e586a47763cb4882b3aaa5fa5fc08f19.20866.1594832143000000000000.zst
-rw-r-----+ 1 root root 1263363 Jul 15 18:45 core.akonadi_migrati.1000.e586a47763cb4882b3aaa5fa5fc08f19.28569.1594853155000000000000.zst
-rw-r-----+ 1 root root 1265794 Jul 15 08:37 core.akonadi_migrati.1000.e586a47763cb4882b3aaa5fa5fc08f19.5152.1594816627000000000000.zst
-rw-r-----+ 1 root root 1263734 Jul 14 08:25 core.akonadi_migrati.1000.fb7045b24c514814ac1e64edea8b155d.1614.1594729540000000000000.zst
-rw-r-----+ 1 root root 1266344 Jul 14 15:59 core.akonadi_migrati.1000.fb7045b24c514814ac1e64edea8b155d.17184.1594756793000000000000.zst
-rw-r-----+ 1 root root 1262215 Jul 14 18:27 core.akonadi_migrati.1000.fb7045b24c514814ac1e64edea8b155d.21382.1594765627000000000000.zst
-rw-r-----+ 1 root root 1263303 Jul 14 10:14 core.akonadi_migrati.1000.fb7045b24c514814ac1e64edea8b155d.5964.1594736051000000000000.zst
-rw-r-----+ 1 root root 1267807 Jul 16 09:57 core.akonadi_migrati.1001.4039beec18ab489fb55ab73dc682cab5.1643.1594907818000000000000.zst
-rw-r-----+ 1 root root 1269589 Jul 16 21:04 core.akonadi_migrati.1001.4039beec18ab489fb55ab73dc682cab5.21578.1594947848000000000000.zst
-rw-r-----+ 1 root root 1266141 Jul 16 11:52 core.akonadi_migrati.1001.4039beec18ab489fb55ab73dc682cab5.8803.1594914754000000000000.zst
-rw-r-----+ 1 root root 1261113 Jul 15 12:12 core.akonadi_migrati.1001.e586a47763cb4882b3aaa5fa5fc08f19.18314.1594829544000000000000.zst
-rw-r-----+ 1 root root 1260228 Jul 15 18:12 core.akonadi_migrati.1001.e586a47763cb4882b3aaa5fa5fc08f19.24901.1594851169000000000000.zst
-rw-r-----+ 1 root root 1266528 Jul 15 09:03 core.akonadi_migrati.1001.e586a47763cb4882b3aaa5fa5fc08f19.8164.1594818180000000000000.zst
-rw-r-----+ 1 root root 1263034 Jul 14 15:15 core.akonadi_migrati.1001.fb7045b24c514814ac1e64edea8b155d.10846.1594754131000000000000.zst
-rw-r-----+ 1 root root 1265199 Jul 14 19:19 core.akonadi_migrati.1001.fb7045b24c514814ac1e64edea8b155d.26435.1594768744000000000000.zst
-rw-r-----+ 1 root root  695032 Jul 15 22:04 core.drkonqi.1000.28938e0e3f5e492f9a76cf484e2410cb.8685.1594865069000000000000.zst
-rw-r-----+ 1 root root  695504 Jul 15 22:04 core.drkonqi.1000.28938e0e3f5e492f9a76cf484e2410cb.8686.1594865069000000000000.zst
-rw-r-----+ 1 root root  699775 Jul 16 14:35 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.15046.1594924507000000000000.zst
-rw-r-----+ 1 root root  699235 Jul 16 14:35 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.15048.1594924508000000000000.zst
-rw-r-----+ 1 root root  699224 Jul 16 14:35 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.15049.1594924508000000000000.zst
-rw-r-----+ 1 root root  700357 Jul 16 14:35 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.15053.1594924508000000000000.zst
-rw-r-----+ 1 root root  699587 Jul 16 16:37 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.20495.1594931841000000000000.zst
-rw-r-----+ 1 root root  699206 Jul 16 16:37 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.20496.1594931841000000000000.zst
-rw-r-----+ 1 root root  699030 Jul 16 16:37 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.20536.1594931842000000000000.zst
-rw-r-----+ 1 root root  699875 Jul 16 11:06 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.7798.1594911984000000000000.zst
-rw-r-----+ 1 root root  700414 Jul 16 11:06 core.drkonqi.1000.4039beec18ab489fb55ab73dc682cab5.7803.1594911984000000000000.zst
-rw-r-----+ 1 root root  695469 Jul 15 11:44 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.17150.1594827840000000000000.zst
-rw-r-----+ 1 root root  695325 Jul 15 11:44 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.17177.1594827840000000000000.zst
-rw-r-----+ 1 root root  694808 Jul 15 11:44 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.17178.1594827840000000000000.zst
-rw-r-----+ 1 root root  695238 Jul 15 11:44 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.17180.1594827840000000000000.zst
-rw-r-----+ 1 root root  695447 Jul 15 12:55 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.23867.1594832144000000000000.zst
-rw-r-----+ 1 root root  695753 Jul 15 12:55 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.23868.1594832144000000000000.zst
-rw-r-----+ 1 root root  695532 Jul 15 12:55 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.23874.1594832144000000000000.zst
-rw-r-----+ 1 root root  695463 Jul 15 18:45 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.31620.1594853156000000000000.zst
-rw-r-----+ 1 root root  695615 Jul 15 18:45 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.31621.1594853156000000000000.zst
-rw-r-----+ 1 root root  695353 Jul 15 18:45 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.31622.1594853156000000000000.zst
-rw-r-----+ 1 root root  695372 Jul 15 18:45 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.31672.1594853157000000000000.zst
-rw-r-----+ 1 root root  694555 Jul 15 07:54 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.4356.1594814076000000000000.zst
-rw-r-----+ 1 root root  695214 Jul 15 07:54 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.4357.1594814076000000000000.zst
-rw-r-----+ 1 root root  695326 Jul 15 07:54 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.4359.1594814076000000000000.zst
-rw-r-----+ 1 root root  695342 Jul 15 07:54 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.4360.1594814076000000000000.zst
-rw-r-----+ 1 root root  695034 Jul 15 07:54 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.4410.1594814077000000000000.zst
-rw-r-----+ 1 root root  695658 Jul 15 08:37 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.7133.1594816628000000000000.zst
-rw-r-----+ 1 root root  695342 Jul 15 08:37 core.drkonqi.1000.e586a47763cb4882b3aaa5fa5fc08f19.7188.1594816628000000000000.zst
-rw-r-----+ 1 root root  695376 Jul 14 15:59 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.20558.1594756793000000000000.zst
-rw-r-----+ 1 root root  695117 Jul 14 15:59 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.20566.1594756793000000000000.zst
-rw-r-----+ 1 root root  694443 Jul 14 15:59 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.20567.1594756793000000000000.zst
-rw-r-----+ 1 root root  694741 Jul 14 15:59 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.20612.1594756794000000000000.zst
-rw-r-----+ 1 root root  694736 Jul 14 18:27 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.25396.1594765627000000000000.zst
-rw-r-----+ 1 root root  694869 Jul 14 18:27 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.25397.1594765627000000000000.zst
-rw-r-----+ 1 root root  694353 Jul 14 18:27 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.25398.1594765627000000000000.zst
-rw-r-----+ 1 root root  695385 Jul 14 18:27 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.25401.1594765627000000000000.zst
-rw-r-----+ 1 root root  694055 Jul 14 18:27 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.25440.1594765628000000000000.zst
-rw-r-----+ 1 root root  694511 Jul 14 08:25 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.4999.1594729541000000000000.zst
-rw-r-----+ 1 root root  694697 Jul 14 08:25 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.5001.1594729541000000000000.zst
-rw-r-----+ 1 root root  694990 Jul 14 08:25 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.5010.1594729541000000000000.zst
-rw-r-----+ 1 root root  695113 Jul 14 10:14 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.9699.1594736052000000000000.zst
-rw-r-----+ 1 root root  694737 Jul 14 10:14 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.9702.1594736052000000000000.zst
-rw-r-----+ 1 root root  695165 Jul 14 10:14 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.9708.1594736052000000000000.zst
-rw-r-----+ 1 root root  695526 Jul 14 10:14 core.drkonqi.1000.fb7045b24c514814ac1e64edea8b155d.9713.1594736052000000000000.zst
-rw-r-----+ 1 root root  697924 Jul 16 11:52 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.10503.1594914754000000000000.zst
-rw-r-----+ 1 root root  699688 Jul 16 11:52 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.10506.1594914755000000000000.zst
-rw-r-----+ 1 root root  699474 Jul 16 11:52 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.10507.1594914755000000000000.zst
-rw-r-----+ 1 root root  699886 Jul 16 21:04 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.25637.1594947849000000000000.zst
-rw-r-----+ 1 root root  699387 Jul 16 21:04 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.25644.1594947848000000000000.zst
-rw-r-----+ 1 root root  700329 Jul 16 21:04 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.25645.1594947849000000000000.zst
-rw-r-----+ 1 root root  699468 Jul 16 21:04 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.25672.1594947849000000000000.zst
-rw-r-----+ 1 root root  699268 Jul 16 09:57 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.3802.1594907818000000000000.zst
-rw-r-----+ 1 root root  699699 Jul 16 09:57 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.3805.1594907818000000000000.zst
-rw-r-----+ 1 root root  699910 Jul 16 09:57 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.3806.1594907818000000000000.zst
-rw-r-----+ 1 root root  700295 Jul 16 09:57 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.3809.1594907818000000000000.zst
-rw-r-----+ 1 root root  699297 Jul 16 09:57 core.drkonqi.1001.4039beec18ab489fb55ab73dc682cab5.3837.1594907820000000000000.zst
-rw-r-----+ 1 root root  694863 Jul 15 09:03 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.10342.1594818182000000000000.zst
-rw-r-----+ 1 root root  695062 Jul 15 12:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.19969.1594829544000000000000.zst
-rw-r-----+ 1 root root  695909 Jul 15 12:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.19973.1594829544000000000000.zst
-rw-r-----+ 1 root root  694893 Jul 15 12:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.20036.1594829545000000000000.zst
-rw-r-----+ 1 root root  695149 Jul 15 18:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.27594.1594851170000000000000.zst
-rw-r-----+ 1 root root  695070 Jul 15 18:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.27598.1594851170000000000000.zst
-rw-r-----+ 1 root root  695972 Jul 15 18:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.27610.1594851170000000000000.zst
-rw-r-----+ 1 root root  694788 Jul 15 18:12 core.drkonqi.1001.e586a47763cb4882b3aaa5fa5fc08f19.27646.1594851171000000000000.zst
-rw-r-----+ 1 root root  694365 Jul 14 15:15 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.16268.1594754131000000000000.zst
-rw-r-----+ 1 root root  694543 Jul 14 15:15 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.16269.1594754131000000000000.zst
-rw-r-----+ 1 root root  695199 Jul 14 15:15 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.16270.1594754131000000000000.zst
-rw-r-----+ 1 root root  694571 Jul 14 15:15 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.16278.1594754131000000000000.zst
-rw-r-----+ 1 root root  694941 Jul 14 15:15 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.16312.1594754132000000000000.zst
-rw-r-----+ 1 root root  694782 Jul 14 19:19 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.29982.1594768747000000000000.zst
-rw-r-----+ 1 root root  694359 Jul 14 19:19 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.29983.1594768747000000000000.zst
-rw-r-----+ 1 root root  695020 Jul 14 19:19 core.drkonqi.1001.fb7045b24c514814ac1e64edea8b155d.29989.1594768747000000000000.zst
-rw-r-----+ 1 root root 6056928 Jul 15 10:35 core.gnome-abrt.1000.e586a47763cb4882b3aaa5fa5fc08f19.14639.1594823740000000000000.zst
-rw-r-----+ 1 root root  748590 Jul 15 22:04 core.kdeconnectd.1000.28938e0e3f5e492f9a76cf484e2410cb.8710.1594865069000000000000.zst
-rw-r-----+ 1 root root  450116 Jul 16 16:37 core.kded5.1000.4039beec18ab489fb55ab73dc682cab5.20534.1594931842000000000000.zst
-rw-r-----+ 1 root root  446281 Jul 15 11:44 core.kded5.1000.e586a47763cb4882b3aaa5fa5fc08f19.17176.1594827840000000000000.zst
-rw-r-----+ 1 root root  446349 Jul 15 18:45 core.kded5.1000.e586a47763cb4882b3aaa5fa5fc08f19.31671.1594853156000000000000.zst
-rw-r-----+ 1 root root  445911 Jul 15 07:54 core.kded5.1000.e586a47763cb4882b3aaa5fa5fc08f19.4409.1594814077000000000000.zst
-rw-r-----+ 1 root root  445970 Jul 15 08:37 core.kded5.1000.e586a47763cb4882b3aaa5fa5fc08f19.7187.1594816628000000000000.zst
-rw-r-----+ 1 root root  445646 Jul 14 15:59 core.kded5.1000.fb7045b24c514814ac1e64edea8b155d.20611.1594756794000000000000.zst
-rw-r-----+ 1 root root  445411 Jul 14 18:27 core.kded5.1000.fb7045b24c514814ac1e64edea8b155d.25439.1594765628000000000000.zst
-rw-r-----+ 1 root root  450303 Jul 16 11:52 core.kded5.1001.4039beec18ab489fb55ab73dc682cab5.10539.1594914756000000000000.zst
-rw-r-----+ 1 root root  450795 Jul 16 21:04 core.kded5.1001.4039beec18ab489fb55ab73dc682cab5.25670.1594947849000000000000.zst
-rw-r-----+ 1 root root  450932 Jul 16 09:57 core.kded5.1001.4039beec18ab489fb55ab73dc682cab5.3833.1594907820000000000000.zst
-rw-r-----+ 1 root root  445513 Jul 15 09:03 core.kded5.1001.e586a47763cb4882b3aaa5fa5fc08f19.10341.1594818182000000000000.zst
-rw-r-----+ 1 root root  445883 Jul 15 12:12 core.kded5.1001.e586a47763cb4882b3aaa5fa5fc08f19.20035.1594829545000000000000.zst
-rw-r-----+ 1 root root  446545 Jul 15 18:12 core.kded5.1001.e586a47763cb4882b3aaa5fa5fc08f19.27645.1594851171000000000000.zst
-rw-r-----+ 1 root root  445782 Jul 14 15:15 core.kded5.1001.fb7045b24c514814ac1e64edea8b155d.16311.1594754132000000000000.zst
-rw-r-----+ 1 root root  505810 Jul 15 22:04 core.kglobalaccel5.1000.28938e0e3f5e492f9a76cf484e2410cb.8717.1594865069000000000000.zst
-rw-r-----+ 1 root root  505915 Jul 14 15:59 core.kglobalaccel5.1000.fb7045b24c514814ac1e64edea8b155d.20589.1594756793000000000000.zst
-rw-r-----+ 1 root root 1117713 Jul 15 22:04 core.kwalletd5.1000.28938e0e3f5e492f9a76cf484e2410cb.1118.1594865068000000000000.zst
-rw-r-----+ 1 root root 1121109 Jul 16 14:35 core.kwalletd5.1000.4039beec18ab489fb55ab73dc682cab5.10844.1594924507000000000000.zst
-rw-r-----+ 1 root root 1121007 Jul 16 16:37 core.kwalletd5.1000.4039beec18ab489fb55ab73dc682cab5.15491.1594931841000000000000.zst
-rw-r-----+ 1 root root 1121449 Jul 16 11:06 core.kwalletd5.1000.4039beec18ab489fb55ab73dc682cab5.4093.1594911983000000000000.zst
-rw-r-----+ 1 root root 1117761 Jul 15 11:43 core.kwalletd5.1000.e586a47763cb4882b3aaa5fa5fc08f19.10551.1594827838000000000000.zst
-rw-r-----+ 1 root root 1117852 Jul 15 07:54 core.kwalletd5.1000.e586a47763cb4882b3aaa5fa5fc08f19.1165.1594814076000000000000.zst
-rw-r-----+ 1 root root 1117230 Jul 15 12:55 core.kwalletd5.1000.e586a47763cb4882b3aaa5fa5fc08f19.20273.1594832143000000000000.zst
-rw-r-----+ 1 root root 1117892 Jul 15 18:45 core.kwalletd5.1000.e586a47763cb4882b3aaa5fa5fc08f19.27955.1594853155000000000000.zst
-rw-r-----+ 1 root root 1119064 Jul 15 08:37 core.kwalletd5.1000.e586a47763cb4882b3aaa5fa5fc08f19.4617.1594816627000000000000.zst
-rw-r-----+ 1 root root 1118173 Jul 14 08:25 core.kwalletd5.1000.fb7045b24c514814ac1e64edea8b155d.1111.1594729540000000000000.zst
-rw-r-----+ 1 root root 1117132 Jul 14 15:59 core.kwalletd5.1000.fb7045b24c514814ac1e64edea8b155d.16607.1594756792000000000000.zst
-rw-r-----+ 1 root root 1118647 Jul 14 18:27 core.kwalletd5.1000.fb7045b24c514814ac1e64edea8b155d.20812.1594765627000000000000.zst
-rw-r-----+ 1 root root 1117601 Jul 14 10:14 core.kwalletd5.1000.fb7045b24c514814ac1e64edea8b155d.5371.1594736051000000000000.zst
-rw-r-----+ 1 root root 1121916 Jul 16 09:57 core.kwalletd5.1001.4039beec18ab489fb55ab73dc682cab5.1135.1594907818000000000000.zst
-rw-r-----+ 1 root root 1121336 Jul 16 21:04 core.kwalletd5.1001.4039beec18ab489fb55ab73dc682cab5.21028.1594947848000000000000.zst
-rw-r-----+ 1 root root 1121381 Jul 16 11:52 core.kwalletd5.1001.4039beec18ab489fb55ab73dc682cab5.8227.1594914754000000000000.zst
-rw-r-----+ 1 root root 1118255 Jul 15 12:12 core.kwalletd5.1001.e586a47763cb4882b3aaa5fa5fc08f19.17728.1594829544000000000000.zst
-rw-r-----+ 1 root root 1117439 Jul 15 18:12 core.kwalletd5.1001.e586a47763cb4882b3aaa5fa5fc08f19.24394.1594851169000000000000.zst
-rw-r-----+ 1 root root 1117960 Jul 15 09:03 core.kwalletd5.1001.e586a47763cb4882b3aaa5fa5fc08f19.7661.1594818180000000000000.zst
-rw-r-----+ 1 root root 1116384 Jul 14 15:15 core.kwalletd5.1001.fb7045b24c514814ac1e64edea8b155d.10332.1594754131000000000000.zst
-rw-r-----+ 1 root root 1116727 Jul 14 19:19 core.kwalletd5.1001.fb7045b24c514814ac1e64edea8b155d.25823.1594768744000000000000.zst
-rw-r-----+ 1 root root 1020185 Jul 15 07:54 core.mysqld.1000.e586a47763cb4882b3aaa5fa5fc08f19.1585.1594814077000000000000.zst
-rw-r-----+ 1 root root 1030676 Jul 14 10:14 core.mysqld.1000.fb7045b24c514814ac1e64edea8b155d.5838.1594736054000000000000.zst
-rw-r-----+ 1 root root 1013354 Jul 16 21:04 core.mysqld.1001.4039beec18ab489fb55ab73dc682cab5.21440.1594947851000000000000.zst
-rw-r-----+ 1 root root 1022346 Jul 14 15:15 core.mysqld.1001.fb7045b24c514814ac1e64edea8b155d.10735.1594754132000000000000.zst
-rw-r-----+ 1 root root  769305 Jul 15 11:44 core.org_kde_powerde.1000.e586a47763cb4882b3aaa5fa5fc08f19.17179.1594827840000000000000.zst

The crashes which happened with systemd-246~rc1-1.fc33 installed all show up in gnome-abrt, but there aren't any traces or core dumps in the gnome-abrt entries likely due to the errors I mentioned in my previous comment. The core dumps seem to be created properly and zstd compressed. coredumpctl (info) and abrt-server don't seem to recognize or process the core dumps correctly, they might be still expecting lz4 compressed core files. I've also reproduced this problem using 
kill -6 $(pidof <process>) for other processes than those I reported. Thanks.

Comment 5 Zbigniew Jędrzejewski-Szmek 2020-07-19 09:29:16 UTC
Software is complicated ;)
https://github.com/systemd/systemd/pull/16514

Comment 6 Zbigniew Jędrzejewski-Szmek 2020-07-24 08:15:55 UTC
Built in rawhide.

Comment 7 Matt Fagnani 2020-07-24 20:57:26 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #6)
> Built in rawhide.

coredumpctl (info) shows the core dump files or traces correctly with systemd-246~rc2-1.fc33. The abrt-server errors I mentioned in comment 2 like "abrt-server[7256]: eu-readelf: failed reading 'coredump': not a valid ELF file" are still shown in the journal with systemd-246~rc2-1.fc33 after I logged out of Plasma on Wayland. Should I make a new report for the abrt-server errors against systemd or abrt or should this report be reopened? Thanks.

Comment 8 Zbigniew Jędrzejewski-Szmek 2020-07-25 17:39:53 UTC
Please open a new bug report against abrt. This one here was a real bug that has been fixed and it'd be confusing to reuse this for another issue.

Comment 9 Matt Fagnani 2020-07-25 19:20:46 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #8)
> Please open a new bug report against abrt. This one here was a real bug that
> has been fixed and it'd be confusing to reuse this for another issue.

Thanks. I've made a report about the abrt-server errors against abrt at https://bugzilla.redhat.com/show_bug.cgi?id=1860616


Note You need to log in before you can comment on or make changes to this bug.